Bug 2269217 (CVE-2024-26609) - CVE-2024-26609 kernel: netfilter: nf_tables: reject QUEUE/DROP verdict parameters
Summary: CVE-2024-26609 kernel: netfilter: nf_tables: reject QUEUE/DROP verdict parame...
Keywords:
Status: CLOSED DUPLICATE of bug 2262126
Alias: CVE-2024-26609
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2269218
Blocks: 2269240
TreeView+ depends on / blocked
 
Reported: 2024-03-12 17:25 UTC by Marco Benatto
Modified: 2024-06-09 15:31 UTC (History)
50 users (show)

Fixed In Version: kernel 4.19.307, kernel 5.4.269, kernel 5.10.210, kernel 5.15.149, kernel 6.1.76, kernel 6.6.15, kernel 6.7.3, kernel 6.8-rc2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-04-02 10:51:02 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2024:2634 0 None None None 2024-05-01 01:22:51 UTC
Red Hat Product Errata RHBA-2024:2650 0 None None None 2024-05-02 00:15:38 UTC
Red Hat Product Errata RHBA-2024:2686 0 None None None 2024-05-02 22:49:32 UTC
Red Hat Product Errata RHSA-2024:2394 0 None None None 2024-04-30 10:16:45 UTC
Red Hat Product Errata RHSA-2024:2950 0 None None None 2024-05-22 09:13:53 UTC
Red Hat Product Errata RHSA-2024:3138 0 None None None 2024-05-22 09:53:10 UTC

Description Marco Benatto 2024-03-12 17:25:43 UTC
In the Linux kernel, the following vulnerability has been resolved:

netfilter: nf_tables: reject QUEUE/DROP verdict parameters

The Linux kernel CVE team has assigned CVE-2024-26609 to this issue.

Upstream advisory:
https://lore.kernel.org/linux-cve-announce/20240229155245.1571576-41-lee@kernel.org/T

Comment 1 Marco Benatto 2024-03-12 17:26:34 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 2269218]

Comment 6 Justin M. Forbes 2024-03-26 16:36:02 UTC
This was fixed for Fedora with the 6.7.3 stable kernel updates.

Comment 7 Alex 2024-04-02 10:51:02 UTC
The rejected CVE-2024-26609 is duplicate of the older CVE-2024-1086.

*** This bug has been marked as a duplicate of bug 2262126 ***

Comment 9 errata-xmlrpc 2024-04-30 10:16:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2024:2394 https://access.redhat.com/errata/RHSA-2024:2394

Comment 10 errata-xmlrpc 2024-05-22 09:13:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2024:2950 https://access.redhat.com/errata/RHSA-2024:2950

Comment 11 errata-xmlrpc 2024-05-22 09:53:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2024:3138 https://access.redhat.com/errata/RHSA-2024:3138

Comment 12 Alex 2024-06-09 15:13:35 UTC
The result of automatic check (that is developed by Alexander Larkin) for this CVE-2024-26609 is: CHECK	Maybe valid. Check manually. with impact MODERATE (that is approximation based on flags REMOTE INIT NETFILTER UAF IMPROVEONLY  ; these flags parsed automatically based on patche data). Such automatic check happens only for Low/Moderates (and only when not from reporter, but parsing already existing CVE). Highs always checked manually (I check it myself and then we check it again in Remediation team). In rare cases some of the Moderates could be increased to High later.

Comment 13 Alex 2024-06-09 15:31:08 UTC
The result of automatic check (that is developed by Alexander Larkin) for this CVE-2024-26609 is: CHECK	Maybe valid. Check manually. with impact MODERATE (that is approximation based on flags REMOTE INIT NETFILTER UAF IMPROVEONLY  ; these flags parsed automatically based on patche data). Such automatic check happens only for Low/Moderates (and only when not from reporter, but parsing already existing CVE). Highs always checked manually (I check it myself and then we check it again in Remediation team). In rare cases some of the Moderates could be increased to High later.


Note You need to log in before you can comment on or make changes to this bug.